Class | Inflector::Inflections
In: | lib/active_support/inflector.rb
Parent: | Object

A singleton instance of this class is yielded by Inflector.inflections, which can then be used to specify additional inflection rules. Examples:

      Inflector.inflections do |inflect|
        inflect.plural /^(ox)$/i, '\1\2en'
        inflect.singular /^(ox)en/i, '\1'

        inflect.irregular 'octopus', 'octopi'

        inflect.uncountable "equipment"
      end

New rules are added at the top. So in the example above, the irregular rule for octopus will now be the first of the pluralization and singularization rules that is runs. This guarantees that your rules run before any of the rules that may already have been loaded.

### Methods

clear irregular new plural singular uncountable

### Included Modules

Singleton

### Attributes

plurals | [R] |
singulars | [R] |
uncountables | [R] |

### Public Class methods

new()

### Public Instance methods

clear(scope = :all)

Clears the loaded inflections within a given scope (default is `:all`). Give the scope as a symbol of the inflection type, the options are: `:plurals`, `:singulars`, `:uncountables`.

Examples:

      clear :all
      clear :plurals

irregular(singular, plural)

Specifies a new irregular that applies to both pluralization and singularization at the same time. This can only be used for strings, not regular expressions. You simply pass the irregular in singular and plural form.

Examples:

      irregular 'octopus', 'octopi'
      irregular 'person', 'people'

plural(rule, replacement)

Specifies a new pluralization rule and its replacement. The rule can either be a string or a regular expression. The replacement should always be a string that may include references to the matched data from the rule.

singular(rule, replacement)

Specifies a new singularization rule and its replacement. The rule can either be a string or a regular expression. The replacement should always be a string that may include references to the matched data from the rule.

uncountable(*words)

Add uncountable words that shouldn‘t be attempted inflected.

Examples:

      uncountable "money"
      uncountable "money", "information"
      uncountable %w( money information rice )

[Validate]